Subject: Re: [PATCH] gitweb: Document that gitweb deals with bare repositories

From: Timur Tabi <[email-masked]>
Date: Fri, 15 May 2009 16:24:36 -0500

Jakub Narebski wrote:

> Does this explanation help?

Yes, it does, but I wish it weren't true.  I don't see why gitweb can't be enhanced to support non-bare repositories without using symlinks or other hackery.

To avoid the overhead of gitweb scanning all of my repositories for other respitories, I use a packages_list, which is automatically recreated whenever I add a new repo.  However, I think having to create a shadow bare repository with a cron job to keep it more-or-less update is wrong.

Just my two cents.

-- 
Timur Tabi
Linux kernel developer at Freescale